/* Header File for Extension of the TSA class */

#include "tsa/tsa.h"

/* Declarationen */
class VREGIST : public REGIST {
  typedef struct {
    int    is_active, is_visible, is_frequency;
    float  min, max;
    char   from_file[100];
  }
  VIEW;

 public:

  VIEW   *view;
  float  t_1, t_2;       // start and end time (sec) of displayed registration;
  float  ts_1, ts_2;     // start and end time (sec) of selected area;
  double tm_1, tm_2;     // start and end time (sec) of marked area;
  short  nvis;           // number of visible channels;

  VREGIST();
  ~VREGIST();

  void alloc_view(short nch);

  int  DelChannel(short nch);
  int  AddChannel(unsigned long ndata,
		  float sr=1, float min=0, float max=1,
		  int height=0, int color=0,
		  char *name="channel", char *unit="unit");
};
